<?php

include('db.inc.php');

function send_email($data, $a_kategoria, $teszt="off"){

	$subject="Konyvel.net - Munkaajánlat";
    $msg  = "Könyvelő Kereső Hírlevél" ."\n" ."\n";
    $msg .= "Ajánlatkérés címsora: " . $data->megnevezes ."\n";
    $msg .= "Ajánlatkérő neve: " . $data->nev ."\n";
    $msg .= "Vállalkozási forma: " . $data->vforma ."\n";

	$szekhely = $data->szekhely;
	if ($szekhely != '') {
        $msg .= "Székhely: " . $szekhely ."\n";
        }

    $fotevekenyseg = $data->fotevekenyseg;
    if ($fotevekenyseg != '') {
        $msg .= "Főtevékenység: " . $fotevekenyseg ."\n";
        }

	$data->munkahely == 1 ? $munkahely="könyvelőnél" : $munkahely="cégnél";
    $msg .= "Munkavégzés helye: " . $munkahely ."\n";

    $bejovo_szamlak = $data->bejovo_szamlak;
    if ($bejovo_szamlak != 0) {
        switch ($bejovo_szamlak) {
            case 1:
                $bejovo_szamlak = "1-10";
            break;
            case 2:
                $bejovo_szamlak = "10-50";
            break;
            case 3:
                $bejovo_szamlak = "50-100";
            break;
            case 4:
                $bejovo_szamlak = "100 felett";
            break;
            default:
                $bejovo_szamlak = "nincs adat";
        }
        $msg .= "Bejövő számlák: " . $bejovo_szamlak ."db/hó"."\n";
        }

    $kimeno_szamlak = $data->kimeno_szamlak;
    if ($kimeno_szamlak != 0) {
        switch ($kimeno_szamlak) {
            case 1:
                $kimeno_szamlak = "1-10";
            break;
            case 2:
                $kimeno_szamlak = "10-50";
            break;
            case 3:
                $kimeno_szamlak = "50-100";
            break;
            case 4:
                $kimeno_szamlak = "100 felett";
            break;
            default:
                $kimeno_szamlak = "nincs adat";
        }
        $msg .= "Kimenő számlák: " . $kimeno_szamlak ."db/hó"."\n";
        }

	$alkalmazottak = $data->alkalmazottak;
	if ($alkalmazottak != '') {
        $msg .= "Alkalmazottak száma: " . $alkalmazottak ."\n";
        }

    $arbevetel = $data->arbevetel;
    if ($arbevetel != 0) {
        switch ($arbevetel) {
            case 1:
                $arbevetel = "0-5";
            break;
            case 2:
                $arbevetel = "5-15";
            break;
            case 3:
                $arbevetel = "15-50";
            break;
            case 4:
                $arbevetel = "50 felett";
            break;
            default:
                $arbevetel = "nincs adat";
        }
        $msg .= "Árbevétel: " . $arbevetel ."MFt/év"."\n";
        }

    $msg .= "Elérhetőség: " . $data->elerhetoseg ."\n";

	$kategoria_1 = $data->kategoria_1;
	if ($kategoria_1 != 0) {
        $msg .= "Kategória 1: " . $a_kategoria[$kategoria_1] ."\n";
        }
	$kategoria_2 = $data->kategoria_2;
	if ($kategoria_2 != 0) {
        $msg .= "Kategória 2: " . $a_kategoria[$kategoria_2] ."\n";
        }
	$kategoria_3 = $data->kategoria_3;
	if ($kategoria_3 != 0) {
        $msg .= "Kategória 3: " . $a_kategoria[$kategoria_3] ."\n\n";
        }


    $msg .= "Keresett szolgáltatás leírása: " . $data->munka ."\n\n";
    $msg .= "Legfontosabb szempontok: " . $data->szempontok ."\n\n";
    $msg .= "Ajánlatküldési határidő: " . $data->ervenyes ."\n";
    $msg .= "Feladva: " . $data->datum ."\n\n";

    $msg .= "Üdvözlettel: Könyvelő Kereső";

	//$msg="<html><head><meta http-equiv='Content-Language' content='hu'><META name='Author' lang='hu' content='MÉDIA ONLINE: http://www.media-online.hu'><TITLE>Könyvelő Kereső Hírlevél</TITLE><META name='description' content='Könyvelő Kereső Hírlevél új munkalehetőséggel'><meta http-equiv=Content-Type content='text/html; charset=iso-8859-2'></head><body>Tisztelt Ügyfelünk!<P>A www.konyvel.net weboldalon új munkalehetőség tekinthető meg:\n<BR><A HREF=http://www.konyvel.net/ajanlat_more.php?id=$id>$megnevezes</A>\n<BR>Az ajánlatküldés határideje: $ervenyes\n<P><a href=http://www.konyvel.net/id681229.php>További könyveléssel kapcsolatos munkaajánlatok</a><P>Üdvözlettel:<BR>Könyvelő Kereső</body></html>";

	$xtra="Content-type: text/plain; charset=iso-8859-2\nFrom: info@konyvel.net\r\nReply-To: info@konyvel.net\r\nX-Priority: 3\nX-Mailer: PL-PHP/" . phpversion();


	if($teszt=="on"){
		$to="info@konyvel.net";
		//$to="perger@lgt.hu";
		mail($to, $subject, $msg, $xtra);
		printf("$to $subject $msg $xtra &#150; ok<br>");
    }elseif($teszt != "on" && $teszt != "off" && $teszt != ""){
		mail($teszt, $subject, $msg, $xtra);
		printf("$teszt $subject $msg $xtra &#150; ok<br>");
    }else{

		$stmt="SELECT email FROM kk_tag WHERE jovahagyva='1' AND hirlevel='1'";
		$mydb = new db();
		$result=$mydb->query($stmt);
		while($row = mysql_fetch_object($result)){

			$to=$row->email;

            $a_address = explode(";", $to);
            foreach ($a_address as $s_to) {
                sleep(1);
    			mail($to, $subject, $msg, $xtra);
    			printf("%s\n<BR>", $s_to);
    			flush;
                }

		}
	}

	printf("<BR>A levelek sikeresen elküldve.<BR><A HREF=/admin/>Vissza</A><BR><BR>");



}

function clear_flag($id){
	$stmt="UPDATE kk_ajanlat SET elkuldve='1' WHERE id='$id'";
	$mydb = new db();
	$result=$mydb->query($stmt);
}



///***/// main ///***///

// teszt kapcsolo
//$teszt="on";

$mydb = new db();

// kategoriat is meg kell tudni
$stmt="SELECT id, nev FROM kk_kategoria";
$result=$mydb->query($stmt);
while($row = mysql_fetch_object($result)){
	$a_kategoria[$row->id] = $row->nev;
}

if ($resend!="") {
    $teszt = $resend;
    // osszes aktualis ajanlat
    $stmt="SELECT kk_ajanlat.*, kk_vforma.nev AS vforma FROM kk_ajanlat LEFT JOIN kk_vforma ON kk_vforma.id=kk_ajanlat.vforma WHERE kk_ajanlat.jovahagyva='1' AND kk_ajanlat.ervenyes >= CURDATE()";
} else {
    // kiszurjuk az elkuldotteket
    //$stmt="SELECT * FROM kk_ajanlat WHERE elkuldve='2' AND jovahagyva='1'";
    $stmt="SELECT kk_ajanlat.*, kk_vforma.nev AS vforma FROM kk_ajanlat LEFT JOIN kk_vforma ON kk_vforma.id=kk_ajanlat.vforma WHERE kk_ajanlat.jovahagyva='1' AND kk_ajanlat.elkuldve='2'";

}


$result=$mydb->query($stmt);

while($row = mysql_fetch_object($result)){
	if($teszt!="") {
		send_email($row, $a_kategoria, $teszt);
	} else {
		send_email($row, $a_kategoria);
		clear_flag($row->id);
	    }
    sleep(2);
}

print("<BR><P><B>Huh, teljesen kesz vagyok</B></P>");

?>